import { RouteRecordRaw } from 'vue-router';
type OriginRoutes = Array<OriginRecordRaw>

type OriginRecordRaw = {
  path: string,
  name: string,
  meta: {
    hidden: boolean,
    breadcrumb: boolean,
    title: string,
    sort: number
  },
  children: OriginRoutes,
  plop: {
    url: string,
    type: 'single' | 'multi' | 'tab' | 'index',
    filePath: string
  }
}

type TargetRoutes = RouteRecordRaw[]

